Download it now!
Bug 103922 - please add Tibetan Hunspell files
Summary: please add Tibetan Hunspell files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2016-11-14 09:45 UTC by Elie Roux
Modified: 2017-06-24 11:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elie Roux 2016-11-14 09:45:54 UTC
Tibetan hunspell files are available on

https://github.com/eroux/hunspell-bo

please include them
Comment 1 Xisco Faulí 2016-11-14 19:01:36 UTC
Hi Caolan,
Looking for 'hunspell' in the git log I see you have upgraded hunspell in the past. Is this something we can do or it needs to be done in hunspell's project?
Regards
Comment 2 Elie Roux 2016-11-14 20:11:14 UTC
Just to be sure, I'm talking about the repository on

https://cgit.freedesktop.org/libreoffice/dictionaries/

here, there are many contributors...
Comment 3 Caolán McNamara 2016-11-15 09:48:43 UTC
@xisco: this is a request to add those Tibetan hunspell dictionaries to LibreOffices "dictionaries" git submodule. I help look after the hunspell library, which is the code which used to make use of those dictionaries. Maybe Aron or Timar could help, they did a lot of the updates in dictionaries
Comment 4 Aron Budea 2016-11-17 02:36:48 UTC
I could add it to dictionaries, I was able to find two "bo" locales in i18npool/source/localedata/localedata.cxx: bo_IN and bo_CN. I'd assume this'd be bo_IN, right? (technically it doesn't matter, it's just the name for the directory, but I'd like to be proper)

I'm also not sure if any reference has to be added to core repo... maybe not?
Comment 5 Aron Budea 2016-11-17 03:25:38 UTC
Ok, I see it's for both.
I'm not sure I did everything correctly, but patch is in gerrit for review:
https://gerrit.libreoffice.org/#/c/30920/
Comment 6 Aron Budea 2016-11-17 03:34:46 UTC
Elie, in the future please move the .dic and .aff files a directory up in the extension, and adjust paths in dictionaries.xcu accordingly.
Even though the directory structure doesn't matter in itself, other dictionaries use this structure, and working with them is slightly more straightforward if the structure is consistent. Thanks!
Comment 7 Elie Roux 2016-11-17 07:35:21 UTC
Thanks a lot for the patch! It looks fine, maybe the CHANGELOG.md could have fit in, but it's not very important...

I'm not sure what you mean with "moving the .dic and .aff files a directory up", do you mean put them in a separate directory? Do you have an example of another dictionary using the structure you describe?

Thanks again!
Comment 8 Aron Budea 2016-11-18 00:52:12 UTC
I meant, in the extension file that is uploaded at [1], the .dlc and .aff files are in a directory called "dictionaries", and are referenced via that path in dictionaries.xcu. Move those files in the root of the archive, and get rid of that directory in the future, please.

In the meantime, CHANGELOG.md has been added to the patch.

[1] http://extensions.openoffice.org/en/project/tibetan-syllable-spell-checker
Comment 9 Elie Roux 2016-11-18 06:58:49 UTC
Ok understood. Thanks for the CHANGELOG!
Comment 10 Elie Roux 2016-11-22 19:49:08 UTC
Aron Budea, how long does the gerrit review usually take? I'm not really familiar with how things work...
Comment 11 Aron Budea 2016-11-23 05:35:38 UTC
Andras committed the dictionary:
https://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=f023ac778c97881a53035f951fca95cee759888e

However, some related changes have to be made in the core repo as well. The changes are pending in the following patch:
https://gerrit.libreoffice.org/#/c/31089/
Comment 12 Commit Notification 2016-11-23 07:28:13 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc88ed47a66e76d279471c1da1193ce90ad8e9e5

tdf#103922: Add Tibetan (bo) dictionary

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-11-23 15:16:48 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29dbac6fe556eb27067155c3be0c566b5328995c&h=libreoffice-5-3

tdf#103922: Add Tibetan (bo) dictionary

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Aron Budea 2016-11-23 15:20:47 UTC
Commits are now in 5.3 as well. Not in beta1, but it'll be in beta2 or 5.3.0.1 for sure.